<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:h="http://java.sun.com/jsf/html">

    <body>

        <ui:component>

            <p:dialog
                id="argumentosAddId"
                header="Agregar Argumentos"
                widgetVar="argumentosAdd"
                modal="true"
                appendTo="@(body)"
                resizable="false"
                closable="false"
                draggable="false">

                <h:panelGroup 
                    id="detalleArgumentosAdd" 
                    class="detalleArgumentosAdd">
                 
                    <h:form>
                        
                        <h:panelGrid 
                            columns="2" 
                            cellpadding="5" 
                            columnClasses="centered6,centered6">
                            
                            <p:column>
                                <h:outputLabel 
                                    for="claveArgumento" 
                                    value="Clave: *" 
                                    style="font-weight: bold"/>                           
                                
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                
                                <p:inputMask 
                                    id="claveArgumento" 
                                    size="20"
                                    mask=":******************"  
                                    required="true" 
                                    maxlength="20" 
                                    autoClear="false"                               
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.claveArgumento}"                                
                                    requiredMessage="La clave es requerida."
                                    onkeyup="toUpperCase(event,this)">
                                
                                    <p:ajax 
                                        event="blur" 
                                        listener="#{argumentosMB.validaClaveArgumento}" />                            
                                </p:inputMask>                             
                            
                                <p:message for="claveArgumento"/>
                             </p:column>

                            <p:column>
                            
                                <p:outputLabel 
                                    for="tipoArgumento" 
                                    value="Tipo: *" 
                                    style="font-weight: bold"  /> 
                            
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;                            
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            
                                <p:selectOneMenu 
                                    id="tipoArgumento" 
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.rhNomTipoArgumento}"
                                    converter="entityConverter" 
                                    style="width: 120px" 
                                    autoWidth="false"
                                    filter="true" 
                                    filterMatchMode="contains" 
                                    caseSensitive="false" >
                                
                                    <f:selectItem   
                                        itemValue="#{null}" 
                                        itemLabel="Elegir tipo de argumento" 
                                        noSelectionOption="true" 
                                        itemDisabled="true" />                                
                                
                                    <f:selectItems 
                                        value="#{argumentosMB.listaRhNomnTipoArgumentoTO}" 
                                        var="rhNomnTipoArgumentoTO" 
                                        itemLabel="#{rhNomnTipoArgumentoTO.tipoArgumento}" 
                                        itemValue="#{rhNomnTipoArgumentoTO}"/>
                                
                                    <p:ajax 
                                        event="valueChange" 
                                        listener="#{argumentosMB.onTipoArgumentoSelect()}" 
                                        update="detalleArgumentosAdd"/>                            
                                </p:selectOneMenu>                                                         
                            </p:column>
                            
                            <p:column>                            
                                <h:outputLabel 
                                    for="descripcion" 
                                    value="Descripción: " 
                                    style="font-weight: bold"/>                            
                                
                                <p:inputText 
                                    id="descripcion"                                
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.nombreArgumento}"                                 
                                    onkeyup="toUpperCase(event,this)"
                                    maxlength="50"/>                                                
                            
                                <p:message for="descripcion"/>
                            </p:column>
                            
                            <p:column>                            
                                <c:if test="#{argumentosMB.aplicaFormula==false}" >
                                
                                    <h:outputLabel 
                                        for="valorConstante" 
                                        value="Valor Constante: " 
                                        style="font-weight: bold"/>
                                
                                    <p:inputNumber 
                                        id="valorConstante" 
                                        value="#{argumentosMB.rhNomnArgumentoTOSelected.valorConstante}"
                                        decimalSeparator="." 
                                        thousandSeparator=","
                                        minValue="0.00000" 
                                        maxValue="1000000.00000">
                                    </p:inputNumber>
                                
                                    <h:outputText value=""/>                            
                                
                                    <p:message for="valorConstante"/>
                                </c:if>
                            
                                <c:if test="#{argumentosMB.aplicaFormula==true}" >
                                
                                    <h:outputLabel 
                                        for="funcionNombre" 
                                        value="Nombre de la función: *" 
                                        style="font-weight: bold"/>
                                
                                    <p:inputText 
                                        id="funcionNombre" 
                                        title="Esta función de oracle obtendra el valor del argumento, la DGTI realiza la construcción"
                                        value="#{argumentosMB.rhNomnArgumentoTOSelected.funcionOracle}"
                                        onkeyup="toUpperCase(event,this)" 
                                        maxlength="29"/>                            
                                
                                    <h:outputText value=""/>                            
                                
                                    <p:message for="funcionNombre"/>
                            
                                </c:if>                                 
                            </p:column>
                        </h:panelGrid>

                        <br/>
                        
                        <div align="right">
                        
                            <p:commandButton 
                                style="font-size: 70%"
                                value="#{translatedMessage['common.label.save']}"
                                oncomplete="redirect(xhr, status, args, 'ArgumentosList.jsf');"
                                actionListener="#{argumentosMB.saveWithConfirm}" >
                            </p:commandButton>
                            
                            <div 
                                style="width:5px;
                                       height:auto;
                                       display:inline-block;"/>
                        
                            <p:commandButton
                                value="Cerrar"
                                type="button"
                                style="font-size: 70%"
                                process="@(.detalleArgumentosAdd)"
                                immediate="true"
                                onclick="location = 'ArgumentosList.jsf';">
                            </p:commandButton>
                        </div>
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
